@echo off

rem ATM native compilation runs into what looks like name mangling issues.
rem Cross-compilation on Ubuntu 1804 works ok.

setlocal

rem root of mingw installation; modify as required
set mingw=x:\wprogs\mingw6432\mingw32
path %mingw%\bin;%path%
set tlroot=C:/texlive/2019

path %mingw%\bin;%path%

set CCFLAGS=-g -Os -Wall
set LDFLAGS=-static-libgcc -L./ -L%tlroot%/bin/win32
set LDFLAGSGUI=-Wl,-subsystem,windows %LDFLAGS%

gcc %CCFLAGS% -c -o tlshell.o tlshell.c
echo 1 ICON tlmgr.ico >tlmgr.rc
windres tlmgr.rc -o tlmgr-rc.o
c++ %CCFLAGS% -o tlshell.exe tlshell.o tlmgr-rc.o %LDFLAGSGUI% -lrunscript

endlocal
